Get Access Token Info

Get Access Token Info
Display detailed user information compiled from the user access token and the associated ID token.

Use this API instead:

  • /scim/v2/Users

The user information includes all user related fields (which are also part of the associated user ID token). Group ids and names are included.The API diverges from the CSP API on 1) 'email_verified' field which is currently not provided by this API and 2) the 'sub' field which contains user ID only in contrast with CSP thatcontains ':'.

Access Policy

Role Access
Anonymous ✔️
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/userinfo
COPY
Header Parameters
string
Authorization
Required

Authorization


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns UserTokenResponse of type(s) */*
{
    "username": "string",
    "email": "string",
    "domain": "string",
    "acct": "string",
    "context": "string",
    "sub": "string",
    "given_name": "string",
    "family_name": "string",
    "email_verified": false,
    "group_names": [
        "string"
    ],
    "group_ids": [
        "string"
    ],
    "context_name": "string"
}

401

The user is not authorized to use the API.

Returns UserTokenResponse of type(s) */*
{
    "username": "string",
    "email": "string",
    "domain": "string",
    "acct": "string",
    "context": "string",
    "sub": "string",
    "given_name": "string",
    "family_name": "string",
    "email_verified": false,
    "group_names": [
        "string"
    ],
    "group_ids": [
        "string"
    ],
    "context_name": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/userinfo